# Uses of Class
com.logicaldoc.core.searchengine.Hits

Packages that use Hits
Package
Description
com.logicaldoc.core.searchengine
The core of the search engine.

## Uses of Hits in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine that return Hits
Modifier and Type
Method
Description
`Hits`
SearchEngine.`query(String expression, int page, int size)`
Executes a low-level query in the fulltext index
Attention: The hits will be populated with just the fields stored in the index
`Hits`
StandardSearchEngine.`query(String expression, int page, int size)`
`Hits`
SearchEngine.`search(String expression, Set<String> filters, String expressionLanguage, Integer rows)`
Search for hits.
Attention: The hits will be populated with just the fields stored in the index
`Hits`
StandardSearchEngine.`search(String expression, Set<String> filters, String expressionLanguage, Integer rows)`